Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
BTreeDatabase..::.Compress Property
BTreeDatabase Class See Also Send Feedback

The compression function used to store key/data pairs in the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public BTreeCompressDelegate Compress { get; private set; }

Visual Basic (Declaration)
    Public Property Compress As BTreeCompressDelegate

Visual C++
    public:
    property BTreeCompressDelegate^ Compress {
    	BTreeCompressDelegate^ get ();
    	void set (BTreeCompressDelegate^ value);
    }

# See Also

BTreeDatabase Class
BerkeleyDB Namespace